> ## Documentation Index
> Fetch the complete documentation index at: https://docs-test.rye.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve event

> Retrieves an event by ID.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/checkout-intents/openapi.documented.yml get /api/v1/events/{id}
openapi: 3.0.0
info:
  title: Universal Checkout API
  version: 1.0.5
  description: >-
    Turn any product URL into a completed checkout. Instantly retrieve price,
    tax, and shipping for any product, and let users buy without ever leaving
    your native AI experience.


    View the [Rye API docs](https://docs.rye.com).
  termsOfService: https://rye.com/terms-of-service
  license:
    name: UNLICENSED
  contact:
    name: Rye
    email: dev@rye.com
    url: https://docs.rye.com
servers:
  - url: https://staging.api.rye.com
security: []
paths:
  /api/v1/events/{id}:
    get:
      tags:
        - Events
      summary: Retrieve event
      description: Retrieves an event by ID.
      operationId: Get
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The event
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Event'
        '401':
          description: Authentication Failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthenticationError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RuntimeError'
      security:
        - bearerAuth:
            - events:read
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import CheckoutIntents from 'checkout-intents';

            const client = new CheckoutIntents({
              apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted
            });

            const event = await client.events.retrieve('id');

            console.log(event.id);
        - lang: Python
          source: |-
            import os
            from checkout_intents import CheckoutIntents

            client = CheckoutIntents(
                api_key=os.environ.get("CHECKOUT_INTENTS_API_KEY"),  # This is the default and can be omitted
            )
            event = client.events.retrieve(
                "id",
            )
            print(event.id)
        - lang: Java
          source: |-
            package com.rye.example;

            import com.rye.client.CheckoutIntentsClient;
            import com.rye.client.okhttp.CheckoutIntentsOkHttpClient;
            import com.rye.models.events.Event;
            import com.rye.models.events.EventRetrieveParams;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    CheckoutIntentsClient client = CheckoutIntentsOkHttpClient.fromEnv();

                    Event event = client.events().retrieve("id");
                }
            }
        - lang: cURL
          source: |-
            curl https://staging.api.rye.com/api/v1/events/$ID \
                -H "Authorization: Bearer $CHECKOUT_INTENTS_API_KEY"
components:
  schemas:
    Event:
      properties:
        id:
          type: string
          description: >-
            Unique identifier for the event. This can be used as an idempotency
            key

            to avoid double-processing of the same underlying event.
          example: evt_1234567890
        object:
          type: string
          enum:
            - event
          nullable: false
        type:
          $ref: '#/components/schemas/EventType'
          description: >-
            Description of the event.


            Refer to [types of
            events](https://docs.rye.com/api-v2/webhooks/types) for a list of
            possible values.
          example: checkout_intent.offer_retrieved
        createdAt:
          type: string
          description: Timestamp of when the event was created.
          example: '2026-03-25T00:00:00Z'
        source:
          $ref: '#/components/schemas/EventSource'
        data:
          $ref: '#/components/schemas/EventData'
      required:
        - id
        - object
        - type
        - createdAt
        - source
      type: object
      additionalProperties: false
    AuthenticationError:
      properties:
        name:
          type: string
        message:
          type: string
        stack:
          type: string
      required:
        - name
        - message
      type: object
      additionalProperties: false
    NotFoundError:
      properties:
        name:
          type: string
        message:
          type: string
        stack:
          type: string
      required:
        - name
        - message
      type: object
      additionalProperties: false
    ValidateError:
      properties:
        name:
          type: string
        message:
          type: string
        stack:
          type: string
        status:
          type: number
          format: double
        fields:
          $ref: '#/components/schemas/FieldErrors'
      required:
        - name
        - message
        - status
        - fields
      type: object
      additionalProperties: false
    RuntimeError:
      properties:
        name:
          type: string
        message:
          type: string
        stack:
          type: string
      required:
        - name
        - message
      type: object
      additionalProperties: false
    EventType:
      anyOf:
        - $ref: '#/components/schemas/CheckoutIntentEventType'
        - $ref: '#/components/schemas/ShipmentEventType'
        - $ref: '#/components/schemas/ProductEventType'
        - $ref: '#/components/schemas/WebhookEndpointEventType'
    EventSource:
      description: |-
        A reference to the object which triggered the event.

        You should use the API to fetch the full object details.
      properties:
        id:
          type: string
          description: ID of the object which triggered the event.
          example: ci_1234567890
        type:
          $ref: '#/components/schemas/EventSourceType'
          description: Type of the object which triggered the event.
          example: checkout_intent
      required:
        - id
        - type
      type: object
      additionalProperties: false
    EventData:
      properties: {}
      additionalProperties: {}
      type: object
      description: >-
        The event data payload. The concrete shape depends on `source.type`.


        Refer to [webhook event
        types](https://docs.rye.com/api-v2/webhooks/types)

        for the payload shape associated with each `source.type`.
    FieldErrors:
      properties: {}
      type: object
      additionalProperties:
        properties:
          value: {}
          message:
            type: string
        required:
          - message
        type: object
    CheckoutIntentEventType:
      type: string
      enum:
        - checkout_intent.offer_retrieved
        - checkout_intent.offer_failed
        - checkout_intent.completed
        - checkout_intent.order_failed
    ShipmentEventType:
      type: string
      enum:
        - shipment.created
        - shipment.updated
    ProductEventType:
      type: string
      enum:
        - product.updated
        - product.removed
    WebhookEndpointEventType:
      type: string
      enum:
        - webhook_endpoint.verification_challenge
      nullable: false
    EventSourceType:
      type: string
      enum:
        - checkout_intent
        - shipment
        - product
        - webhook_endpoint
  securitySchemes:
    bearerAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Rye API key

````